Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class LoaderRepositoryConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.LoaderRepositoryConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, LoaderRepositoryConfigType<T>

    public class LoaderRepositoryConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, LoaderRepositoryConfigType<T>

This class implements the `loader-repository-configType` xsd type

Original Documentation:

The loader-repository-config element specifies any arbitrary configuration
fragment for use in configuring the loader-repository instance. The actual content of this
element is specific to the loaderRepositoryClass and the code parsing the element.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`LoaderRepositoryConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`LoaderRepositoryConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getConfigParserClass()` Returns the `configParserClass` element
`LoaderRepositoryConfigType<T>` | `removeConfigParserClass()` Removes the `configParserClass` attribute
`LoaderRepositoryConfigType<T>` | `setConfigParserClass(java.lang.String configParserClass)` Sets the `configParserClass` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoaderRepositoryConfigTypeImpl

    public LoaderRepositoryConfigTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### LoaderRepositoryConfigTypeImpl

    public LoaderRepositoryConfigTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setConfigParserClass

    public LoaderRepositoryConfigType<T> setConfigParserClass(java.lang.String configParserClass)

  Sets the `configParserClass` attribute

  Specified by:
    `setConfigParserClass` in interface `LoaderRepositoryConfigType<T>`
  Parameters:
    `configParserClass` - the value for the attribute `configParserClass`
  Returns:
    the current instance of `LoaderRepositoryConfigType`

### removeConfigParserClass

    public LoaderRepositoryConfigType<T> removeConfigParserClass()

  Removes the `configParserClass` attribute

  Specified by:
    `removeConfigParserClass` in interface `LoaderRepositoryConfigType<T>`
  Returns:
    the current instance of `LoaderRepositoryConfigType`

### getConfigParserClass

    public java.lang.String getConfigParserClass()

  Returns the `configParserClass` element

  Specified by:
    `getConfigParserClass` in interface `LoaderRepositoryConfigType<T>`
  Returns:
    the node defined for the element `configParserClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD